For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList schedules
      • POSTCreate a schedule
      • GETGet results for a batch execution
      • GETList all schedule runs
      • GETGet results for a scheduled run
      • GETGet schedule sparklines
      • GETGet a schedule
      • PUTUpdate a schedule
      • DELDelete a schedule
      • POSTPause a schedule
      • POSTResume a schedule
      • POSTRun a schedule immediately
      • GETList runs for a schedule
      • GETGet schedule statistics
Dashboard
LogoLogo
Runtype APISchedules

Delete a schedule

DELETE
/v1/schedules/:id
DELETE
/v1/schedules/:id
$curl -X DELETE https://api.runtype.com/v1/schedules/id \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "success": true
3}
Permanently deletes a schedule.
Was this page helpful?
Previous

Pause a schedule

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Response

Schedule deleted
successboolean

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error